DARKTABLE-CLI(1)

NAME
darktable-cli - eine Kommandozeilenvariante von darktable

ÜBERSICHT
    darktable-cli IMG_1234.{RAW,...} [<XMP-Datei>] <Ausgabedatei> [Optionen] [--core <darktable-Optionen>]

Optionen:

    --width <max width>
    --height <max height>
    --bpp <bpp>
    --hq <0|1|true|false>
    --upscale <0|1|true|false>
    --style <style name>
    --overwrite
    --verbose

BESCHREIBUNG
darktable ist ein Programm für den digitalen Fotografie-Workflow unter Linux, Mac OS X und verschiedenen anderen Unices. Es wird in darktable(1) eingehender beschrieben.

darktable-cli ist eine Kommandozeilen-Variante die dazu dient, Bilder mit zugehöriger XMP-Datei zu exportieren.

OPTIONEN
Es müssen eine Bilddatei und eine Ausgabedatei angegeben werden. Alle anderen Parameter sind optional.

<Eingabedatei>
    Der Name der Eingabedatei, die exportiert werden soll.

<XMP-Datei>
    Der optionale Name einer XMP-Begleitdatei mit dem Verlauf, der beim Export angewandt werden soll. Wenn diese Option nicht angegeben wird dann sucht darktable nach der XMP-Datei, die zum gegebenen Bild gehört.

<Ausgabedatei>
    Der Name der Ausgabedatei. darktable leitet das Dateiformat von der Dateinamenserweiterung ab. Es stehen auch alle Variablen zur Verfügung, die von darktables Export-Modul unterstützt werden.

--width <maximale Breite>
    Mit diesem optionalen Parameter kann die Pixel-Breite des exportierten Bildes angegeben werden.

--height <maximale Höhe>
    Mit diesem optionalen Parameter kann die Pixel-Höhe des exportierten Bildes angegeben werden.

--bpp <BPP>
    Ein optionaler Parameter um die Farbtiefe des exportierten Bildes festgelegt werden; zulässige Werte hängen vom Dateiformat ab. Momentan funktioniert diese Option noch nicht. Wenn Sie die Farbtiefe festlegen müssen können Sie dies folgendermaßen machen:

        --core --conf plugins/imageio/format/<FORMAT>/bpp=<WERT>

    wobei FORMAT der Name des gewählten Ausgabeformats ist, zum Beispiel png.

--hq <0|1|true|false>
    Dieser Schalter legt fest, ob beim Export hochqualitatives Resampling zum Einsatz kommt. Dies ist standardmäßig der Fall.

--upscale <0|1|true|false>
    Dieser Schalter legt fest, ob beim Export das Ergebnis vergrößert werden darf. Dies ist standardmäßig nicht der Fall.

--style <style name>
    Specify the name of a style to be applied during export. If a style is specified, the path to the darktable configuration directory must also be specified (i.e. --core --configdir ~/.config/darktable). Defaults to no style specified.

--overwrite
    The specified style overwrites the history stack instead of being appended to it.

--verbose
    Aktiviert detaillierte Ausgaben.

--core <darktable-Optionen>
    Alle Kommandozeilenparameter hinter --core werden an den darktable-Kern durchgereicht und wie Standardparameter behandelt. Siehe darktable(1) für detaillierte Beschreibungen der Optionen.

SIEHE AUCH
darktable(1)

AUTOREN
Der Hauptentwickler von darktable ist Johannes Hanika. Die (hoffentlich) vollständige Liste der Mitwirkenden im Projekt ist:

* developers: Roman Lebedev, Pascal Obry, Tobias Ellinghaus, Stefan Schöfegger, Peter Budai, Ulrich Pegelow, johannes hanika, parafin, Alexandre Prokoudine, Aldric Renaudin, Edouard Gomez. * translators: Pascal Obry, Ger Siemerink, Tobias Ellinghaus, Maurizio Paglia, Timur I. Davletshin, Alexandre Prokoudine, mepi0011, Báthory Péter, Jeronimo Pellegrini, Matjaž Jeran, shlomi braitbart, Aurélien PIERRE, Heiko Bauke, Josep V. Moragues, Marko Vertainen, Michel Leblond, Milan Knížek, Novy Sawai, Ragnar Wisløff, Tomasz Golinski. * contributors (at least 4 commits): Aurélien PIERRE, rawfiner, edgardoh, Dan Torop, Ger Siemerink, Matthieu Moy, Maurizio Paglia, Andreas Schneider, Heiko Bauke, Rikard Öxler, Timur I. Davletshin, Benoit Brummer, Philippe Weyland, grand-piano, luzpaz, Mario Lueder, Robert Bridge, mepi0011. * RawSpeed contributors (at least 1 commit): Stefan Löffler, Stefan Hoffmeister, parafin, Robert Bieber, Tobias Ellinghaus, Matthieu Volat, Shita Yuuma, Stefan Schöfegger, luz.paz. And all those of you that made previous releases possible

Diese Manpage wurde von Richard Levitte <richard@levitte.org> geschrieben. Sie wurde von Tobias Ellinghaus <me@houz.org> erweitert.

Die deutsche Übersetzung wurde von Tobias Ellinghaus <me@houz.org> erstellt.

URHEBERRECHT UND LIZENZ
Copyright (C) 2009-2017 durch die Autoren.

darktable ist freie Software; Sie dürfen es zu den Bedingungen der GPL v3 oder (nach Ihrer Wahl) irgendeiner späteren Version weiterverbreiten und / oder verändern.